<?php

namespace App\Request;

use OpenApi\Annotations as OA;

/**
 * @OA\Schema()
 */
class Response422
{
    /**
     * @OA\Property(type="number", example="http status code")
     */
    private $status;

    /**
     * @OA\Property(type="boolean", example=true)
     */
    private $error;

    /**
     * @OA\Property(
     *    type="object",
     *    @OA\Property(property="fieldNameWithError")
     * )
     */
    private $data;

    /**
     * Get the value of status
     */ 
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * Set the value of status
     *
     * @return  self
     */ 
    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    /**
     * Get the value of error
     */ 
    public function getError()
    {
        return $this->error;
    }

    /**
     * Set the value of error
     *
     * @return  self
     */ 
    public function setError($error)
    {
        $this->error = $error;

        return $this;
    }

    /**
     * Get the value of data
     */ 
    public function getData()
    {
        return $this->data;
    }

    /**
     * Set the value of data
     *
     * @return  self
     */ 
    public function setData($data)
    {
        $this->data = $data;

        return $this;
    }
}
